Package lxml :: Module etree :: Class ParserBasedElementClassLookup |
[frames] | no frames]

# Class ParserBasedElementClassLookup

                object --+
                         |
        ElementClassLookup --+
                             |
    FallbackElementClassLookup --+
                                 |
                                ParserBasedElementClassLookup

ParserBasedElementClassLookup(self, fallback=None) Element class lookup based on the XML parser.

Instance Methods
__init__(self, fallback=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
Inherited from `FallbackElementClassLookup`: `setFallback`, `set_fallback` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `FallbackElementClassLookup`: `fallback` Inherited from `object`: `__class__`

Method Details

### __init__(self, fallback=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__